Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Plant(s) Road Permit Permit# 2021-02350, UID# 2984
App. Status: Expired

Valid: 02/25/2021 - 02/28/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2685 (02/24/2021)

Charge Cost Quantity Total
Non-Taxable
added 02/24/2021 8:25 AM

Fee for over length permit

$30.00 x 1 $30.00
added 02/24/2021 8:25 AM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 02/24/2021 8:25 AM

Fee for over width permit

$30.00 x 1 $30.00
added 02/24/2021 8:25 AM

For movement on Plant Road

$50.00 x 1 $50.00
Grand Total
Total $140.00
Payment 02/24/2021$140.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantChris Shrum - 02/24/2021 8:17 AM
daaba1890d39fd7428dd7843f4eb7b8a
3b6d8f710043736840f740b5aea48dc9
 
#1 Permit Issuing OfficialRachel Grimm - 02/24/2021 8:26 AM
7976a49543f56a138378a6de626a565d
c0336574bf3423f85de2c3a794140464
 
Permit has been approved. All signatures have been obtained.